hw_InsertObject
hw_Modifyobject
Hyperwave Functions
PHP Manual

# hw_mapid

(PHP 4)

hw_mapid — Maps global id on virtual local id

### Description

int hw_mapid ( int `$connection` , int `$server_id` , int `$object_id` )

Maps a global object id on any hyperwave server, even those you did not connect to with hw_connect(), onto a virtual object id.

This virtual object id can then be used as any other object id, e.g. to obtain the object record with hw_getobject().

Note: In order to use this function you will have to set the F_DISTRIBUTED flag, which can currently only be set at compile time in hg_comm.c. It is not set by default. Read the comment at the beginning of hg_comm.c

### Parameters

`connection`

  The connection identifier.

`server_id`

  The server id is the first part of the global object id (GOid) of the object which is actually the IP number as an integer.

`object_id`

  The object identifier.

### Return Values

Returns the virtual object id.

hw_InsertObject
hw_Modifyobject
Hyperwave Functions
PHP Manual